package common.dimension;

public final class Semi extends Dimension {
	Semi(int id, String name) {
    	super(id, name);
    }
	
	public Semi(int id, String name, int sky, int fog, int clouds, float temperature, int brightness) {
    	super(id, name);
    	this.setPhysics(1L, 1L, 0.0f, 10.0f, temperature, brightness);
		this.setStarBrightness(0.5f).setDeepStarBrightness(0.5f);
    	this.setSkyColor(sky).setFogColor(fog).setCloudColor(clouds);
    }
    
	public final DimType getType() {
		return DimType.SEMI;
	}
}
